#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int T;
    double a, b;
    cin >> T;
    while (T--)
    {
        cin >> a >> b;
        char str[200];
        sprintf(str, "%.8lf", 2 * b + a * acos(-1));
        str[strlen(str) - 2] = 0;
        puts(str);
    }
    return 0;
}
